#
# spec file for package perl-Spreadsheet-ParseXLSX
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Spreadsheet-ParseXLSX
Name:           perl-Spreadsheet-ParseXLSX
Version:        0.350.0
Release:        1.3
# 0.35 -> normalize -> 0.350.0
%define cpan_version 0.35
License:        MIT
Summary:        Parse XLSX files
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NU/NUDDLEGG/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Zip) >= 1.34
BuildRequires:  perl(Crypt::Mode::CBC)
BuildRequires:  perl(Crypt::Mode::ECB)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Graphics::ColorUtils)
BuildRequires:  perl(OLE::Storage_Lite)
BuildRequires:  perl(Spreadsheet::ParseExcel)
BuildRequires:  perl(Spreadsheet::ParseExcel::Cell)
BuildRequires:  perl(Spreadsheet::ParseExcel::Utility)
BuildRequires:  perl(Spreadsheet::ParseExcel::Worksheet)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(XML::Twig)
Requires:       perl(Archive::Zip) >= 1.34
Requires:       perl(Crypt::Mode::CBC)
Requires:       perl(Crypt::Mode::ECB)
Requires:       perl(Digest::SHA)
Requires:       perl(Graphics::ColorUtils)
Requires:       perl(OLE::Storage_Lite)
Requires:       perl(Spreadsheet::ParseExcel)
Requires:       perl(Spreadsheet::ParseExcel::Cell)
Requires:       perl(Spreadsheet::ParseExcel::Worksheet)
Requires:       perl(XML::Twig)
Provides:       perl(Spreadsheet::ParseXLSX) = %{version}
Provides:       perl(Spreadsheet::ParseXLSX::Cell) = %{version}
Provides:       perl(Spreadsheet::ParseXLSX::Decryptor) = %{version}
Provides:       perl(Spreadsheet::ParseXLSX::Decryptor::Agile) = %{version}
Provides:       perl(Spreadsheet::ParseXLSX::Decryptor::Standard) = %{version}
Provides:       perl(Spreadsheet::ParseXLSX::Worksheet) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module is an adaptor for Spreadsheet::ParseExcel that reads XLSX
files. For documentation about the various data that you can retrieve from
these classes, please see Spreadsheet::ParseExcel,
Spreadsheet::ParseExcel::Workbook, Spreadsheet::ParseExcel::Worksheet, and
Spreadsheet::ParseExcel::Cell.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Fri Mar 22 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.35
  see /usr/share/doc/packages/perl-Spreadsheet-ParseXLSX/Changes
  0.35  2024-03-19
  - don't rely on use mro (#14)
  0.34  2024-03-13
  - Merge pull request #13 from nrdvana/master
  - Fix memory leak between Sheet and Cell, and related to XML::Twig
  - Unit test to verify workbook garbage collection
  0.33  2024-03-08
  - performance fix computing merged cells
  0.32  2024-03-08
  - Require minimum version of Archive::Zip
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Fri Jan 19 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.31
  see /usr/share/doc/packages/perl-Spreadsheet-ParseXLSX/Changes
  0.31  2024-01-18
  - CVE-2024-23525: fixed in previous release
  0.30  2024-01-17
  - Fix xml external entity (XEE) injection bug
  - added unit test for support of purl.oclc.org namespace ... see issue #7
  - removed tidyness tests again as it fails on weaver'ed code
* Wed Jan  3 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.29
  see /usr/share/doc/packages/perl-Spreadsheet-ParseXLSX/Changes
  0.29  2024-01-02
  - Merge pull request #1 from theevilapplepie/master: Fix for 'Argument "" isn't numeric in addition (+) at /usr/local/shar…
  - Merge pull request #2 from oharakouhei/master Incorrect cell values due to phonetic data doy#72
  - Merge pull request #3 from nickzoic/master: Fix die message in parse()
  - Merge pull request #4 from mazurin/master: Cannot open password protected SHA1 encrypted files. doy#68
  - Merge pull request #5 from danderman/master: use date format detection based on Spreadsheet::XLSX
  - Merge pull request #6 from gquipster/master: Add rudimentary support for hyperlinks in cells
  0.28  2024-01-02
    fix for boo#1218651 (CVE-2024-22368)
    out-of-memory condition during parsing of a crafted XLSX document
  - New maintainer
  - Fix possible memory bomb as reported in https://github.com/haile01/perl_spreadsheet_excel_rce_poc/blob/main/parse_xlsx_bomb.md
  - Updated Dist::Zilla configuration fixing deprecation warnings
* Tue Mar 19 2019 lars@linux-schulserver.de - 0.27
- initial version 0.27
